ZMQContext::__construct
ZMQContext::getSocket
ZMQContext
PHP Manual

# ZMQContext::getOpt

(PECL zmq >= 1.0.4)

ZMQContext::getOpt — Get context option

### Description

public mixed ZMQContext::getOpt ( string `$key` )

Returns the value of a context option.

### Parameters

`key`

  An integer representing the option. See the `ZMQ::CTXOPT_*` constants.

### Return Values

Returns either a string or an integer depending on `key`. Throws ZMQContextException on error.

ZMQContext::__construct
ZMQContext::getSocket
ZMQContext
PHP Manual